Skip to main content
GET
/
internal_wallets
/
{walletId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<WalletAsset>> = fireblocks.internalWallets.getInternalWalletAsset(internalWalletsApiGetInternalWalletAssetRequest);
{
  "id": "<string>",
  "balance": "<string>",
  "lockedAmount": "<string>",
  "status": "WAITING_FOR_APPROVAL",
  "address": "<string>",
  "tag": "<string>",
  "activationTime": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

walletId
string
required

The ID of the wallet

assetId
string
required

The ID of the asset to return

Response

A Wallet Asset object

id
string
balance
string
lockedAmount
string
status
enum<string>
Available options:
WAITING_FOR_APPROVAL,
APPROVED,
CANCELLED,
REJECTED,
FAILED
address
string
tag
string
activationTime
string